%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global git g8a56364

Name:           pygtkchart
Version:        0
Release:        0.3.git%{git}%{?dist}
Summary:        A GTK chart widget written in Python

Group:          Applications/System
License:        GPLv2+
URL:            http://notmyname.github.com/pygtkChart/
Source0:        https://github.com/notmyname/pygtkChart/tarball/beta/notmyname-pygtkChart-beta-0-%{git}.tar.gz
# This patch fixes some paths for Fedora
Patch0:         %{name}-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       pygtk2


%description
pygtkChart is a Python package that provides PyGTK widgets to simply
integrate charts into a GTK application. Currently pygtkChart comes
with four widgets:

- BarChart - shows a bar chart (see example on the right)
- MultiBarChart - like BarChart, but shows groups of bars
- PieChart - shows simple pie charts

The appearance of the widgets is highly customable. All bars, graphs,
or titles on a chart can be accessed and modified separately.
Colors, backgrounds and many more properties can be modified for each
object. 


%prep
%setup -q -n notmyname-pygtkChart-cb24da7
%patch0 -p1 -b .path 
sed -i -e '/^#!\//, 1d' src/pygtk_chart/*.py
chmod -x examples/*.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/ examples/
%{python_sitelib}/pygtk_chart/
%{python_sitelib}/pygtkChart-beta*.egg-info
%{_datadir}/%{name}/


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat May 21 2011 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.gitg8a56364
- Fixed naming
- Fixed directory ownership
- Patch renamed and comment added

* Sun Mar 27 2011 Fabian Affolter <fabian@bernewireless.net> - 0-0.gitg8a56364
- Initial package for Fedora
